centreXBegin, centreYBegin = 60.0, 64.0  #position of centre of central zone at 0hrs
lowCutOffValue, highCutOffValue = -0.1, 0.5
diceThreshold = 0.0
meanNormalationForDataCleaning = False
centreXEnd, centreYEnd = 57.0, 63.0 #position of centre of central zone at 84hrs

L1centre =  [(61.313128229418673, 64.340022047185769, 27.788586204535076), (58.613527387078456, 65.469726144731311, 29.314829720250668), (58.109357747933196, 69.802881500472623, 28.948599586593676), (61.103501627921844, 69.14492423668203, 30.932283914981383), (60.956971400979377, 75.530578435192481, 34.093344380569299), (67.184755413581698, 80.889320699670563, 39.280067384180079), (68.768446864879152, 79.25950577038833, 35.434920571803111), (69.386791691976043, 77.145671643843784, 36.139910290751267), (72.556920055988641, 72.283467866726369, 39.722533781196596), (65.376531955840633, 66.643535752173634, 39.08487864921279), (62.889793930251876, 70.429229195005604, 48.0489793676769), (60.194361140521714, 63.848947759322165, 42.805376249665414), (63.496981270969961, 68.929233359472974, 28.967425047244134), (58.896056307577645, 61.654401574692052, 25.641691127581609), (55.256273778130634, 55.790838660009577, 22.511925337979601), (59.575077427428276, 61.874914015076826, 19.41760639894623), (59.163120567314813, 56.185986711951294, 20.284087044615401), (53.164243539353549, 62.227426584364345, 20.937924093684519), (61.917375743176173, 65.04934245736159, 27.502344322294515), (60.560437980011756, 64.333325408039642, 29.927605543110683), (58.390705044212801, 61.500501348607941, 23.693503690431228), (58.743374120186182, 64.811931441963807, 20.799218252725463)] #tracked back

#L1centre = [(59.714938779096748, 61.048311049208074, 27.847003243686384), (56.877536016201724, 62.186558345066608, 29.501651108779384), (56.324663581545472, 66.538759785220122, 29.35206662247532), (59.327191627605707, 65.781884434153667, 31.300860451921334), (59.18975682776702, 72.082224148572891, 34.689854148512872), (65.383876274306161, 77.344333195937836, 40.04156605535605), (67.033976101937156, 75.635955403856997, 36.226438490201467), (67.784472078416655, 73.321090900768013, 36.968926640349089), (71.067613660031455, 68.301779341106908, 40.25116879952477), (63.882942578874257, 62.540542816927918, 39.681108351195114), (61.459585015301059, 66.123487403382683, 48.431437328183854), (58.854362277618634, 59.411966685046728, 42.999767300873678), (62.32891626921991, 64.308618808806088, 29.251439698934167), (56.820216561520567, 56.971339989209802, 26.062218712967699), (53.485794108212538, 50.187343416088389, 23.185453113117077), (57.75363032563672, 56.073201941636277, 20.120785052330913), (57.316483972037524, 50.143576815757065, 20.722583833270516), (51.671727478500635, 55.607778254338882, 21.203851824290776), (60.334096294295392, 58.161743606461073, 27.708848913789097), (59.137788857427488, 57.027686686691446, 29.617203933307334), (56.776553490844755, 53.785305350924432, 23.00841671752023), (57.075065520577283, 56.333682462563388, 19.76987559493185)] #tracked forward


#L1 cells within 30 micron radius
meanVolumes =  [118.43638031853003, 113.46034440138706, 123.0194942581701, 118.13874706666526, 132.93224201698055, 138.64337090644005, 138.72277760134102, 143.09171194399229, 136.23536510057733, 146.03803370483138, 147.01160848277169, 144.70500391898238, 150.38629307948054, 148.56976319120534, 152.91486748204377, 158.80069030822665, 152.39911666147822, 147.96020613035938, 156.42305600812526, 147.46772211374847, 149.54742458872224, 151.10294623190509]

#mean volumes, no stretching factor =  [ 129.70277198  135.02197722  151.60964078  141.53534167  151.01193993
#  149.47895811  156.21307267  166.09436421  179.48879632  202.07754855
#  217.70182235  236.47336469  204.46871819  243.20180256  282.86110349
#  249.4950578   292.93741691  254.03577139  288.50712417  227.08676948
# 159.42608098  208.91878781]

#Parameters in identify indices script: [centreX, centreY, radius] = [60, 64, 35], zThr = zRes * 40, celldiff = 6 
centre3DBegin = [60.0, 62.0, 110*0.26/1.04] #3D position of centre of central zone at 0hrs 
indicesTBegin =  ["L1 central zone at 0hrs", [531, 541, 542, 553, 555, 556, 558, 559, 691, 567, 568, 692, 570, 573, 575, 576, 587, 591, 593, 594, 599, 787, 607, 609, 699, 615, 618, 619, 620, 786, 623, 624, 625, 627, 629, 630, 771, 636, 637, 638, 533, 641, 642, 644, 645, 646, 648, 649, 651, 652, 706, 656, 661, 663, 664, 667, 675, 680, 689, 690, 694, 700, 701, 703, 707, 708, 710, 711, 713, 714, 718, 719, 720, 723, 725, 726, 731, 734, 805, 604, 737, 741, 744, 745, 746, 748, 749, 751, 753, 754, 755, 756, 757, 758, 762, 763, 764, 765, 767, 768, 769, 770, 772, 773, 774, 775, 776, 777, 778, 779, 781, 782, 783, 784, 785, 788, 789, 790, 791, 792, 793, 794, 796, 797, 798, 799, 802, 804, 806, 807, 808, 809, 647, 812, 813, 814, 815, 816, 817, 818, 819, 820, 821, 823, 810, 825, 826, 827, 828, 830, 831, 832, 736, 822, 795, 801, 824, 657, 743, 780, 833, 712, 803, 752, 683, 669, 585, 543, 695, 829, 705, 674, 811, 800, 766]]

centre3DEnd = [60.0, 64.0, 115*0.26/1.365]
#Parameters in identify indices script: [centreX, centreY, radius] = [57, 63, 33], zThr = zRes * 40, celldiff = 6  back tracked from 84hrs
indicesTEndBack = ["L1 central zone", [512, 513, 517, 518, 520, 521, 522, 523, 524, 514, 526, 527, 530, 515, 532, 533, 534, 535, 536, 516, 539, 541, 542, 546, 549, 550, 551, 552, 553, 554, 519, 557, 558, 559, 560, 562, 564, 565, 566, 567, 568, 569, 570, 571, 572, 573, 574, 575, 576, 577, 578, 579, 581, 582, 583, 584, 585, 586, 587, 588, 589, 590, 525, 593, 594, 595, 596, 597, 598, 600, 601, 602, 603, 604, 605, 606, 607, 608, 609, 531, 537, 538, 547, 548, 555, 556, 561, 357, 599, 592, 475, 387, 388, 399, 403, 580, 411, 412, 420, 422, 423, 428, 445, 446, 448, 451, 458, 460, 462, 470, 471, 591, 477, 479, 480, 481, 482, 484, 488, 489, 490, 491, 492, 493, 494, 496, 497, 499, 500, 501, 502, 503, 504, 505, 508, 510, 511]]

indicesTEndForward = ['L1 full lineages after cleaning', [256, 343, 342, 353, 323, 329, 456, 468, 389, 436, 485, 498, 403, 494, 448, 515, 221, 333, 362, 220, 231, 449, 435, 255, 274, 453, 487, 317, 414, 495, 244, 341, 350, 352, 475, 428, 411, 470, 420, 458, 471, 505, 445, 446, 484, 482, 489, 529, 555, 556, 557, 575, 586, 490, 533, 539, 559, 589, 588, 499, 521, 534, 535, 508, 510, 512, 496, 520, 516, 553, 569, 545, 580, 563, 590, 551, 538, 591, 577, 502, 526, 536, 573, 564, 554, 585, 595, 567, 576, 558, 602, 517, 511, 561, 488, 500, 504, 519, 568, 592, 603, 552, 542, 601, 600, 597, 608, 605, 607, 596, 609, 541, 571, 587, 572, 578, 598, 180, 339, 417, 478, 509, 249, 316, 467, 476, 506, 543, 544, 570, 604, 606, 599, 584, 594, 503, 532, 593, 579, 304, 387, 382, 451]]

#radius = 60, zThr = 10 , celldiff = 2  UNCHECKED IN VIEWER
indicesL1Init = [ "initial central L1", [531, 538, 542, 549, 550, 555, 691, 567, 568, 692, 570, 573, 575, 576, 587, 591, 593, 594, 787, 607, 609, 699, 615, 618, 619, 620, 786, 623, 624, 625, 627, 629, 630, 771, 636, 637, 638, 641, 642, 644, 645, 646, 648, 649, 651, 652, 706, 656, 661, 663, 664, 667, 675, 680, 689, 690, 694, 700, 701, 703, 707, 708, 710, 711, 713, 714, 718, 719, 720, 723, 725, 726, 731, 734, 805, 604, 737, 741, 744, 745, 746, 748, 749, 751, 753, 754, 755, 756, 757, 758, 762, 763, 764, 765, 767, 768, 769, 770, 772, 773, 774, 775, 776, 777, 778, 779, 781, 782, 783, 784, 785, 788, 789, 790, 791, 792, 793, 794, 796, 797, 798, 799, 802, 804, 806, 807, 808, 809, 647, 812, 813, 814, 815, 816, 817, 818, 819, 820, 821, 823, 810, 825, 826, 827, 828, 830, 831, 832, 736, 822, 795, 801, 824, 657, 743, 780, 833, 712, 803, 752, 683, 669, 585, 543, 695, 829, 705, 674, 811, 800, 766]]

